<p class="title">
	Assessment Maintenance > Add/Edit Business Type > <i>Add</i>
</p>
<form [formGroup]="merchantBusinessTypeForm" name="createForm"
	id="createForm" novalidate role="form" novalidate
	(ngSubmit)="save(merchantBusinessTypeForm.value)">
	<div class="card">
		<div class="card-header title">Add a new Business Type</div>
		<div class="card-block">
			<div class="form-group row">
				<label class="col-sm-2 form-control-label heading"
					for="field_merchantBusinessType">Business Type</label>
				<div class="col-sm-10">
					<textarea class="form-control" name="businessType"
						formControlName="businessType" required>
                </textarea>
					<div
						*ngIf="merchantBusinessTypeForm.controls.businessType.errors && (merchantBusinessTypeForm.controls.businessType.dirty || merchantBusinessTypeForm.controls.businessType.touched)"
						class="alert alertError">
						<div
							[hidden]="!merchantBusinessTypeForm.controls.businessType.errors.required">
							This field is required.</div>
						<div
							[hidden]="!merchantBusinessTypeForm.controls.businessType.errors.minlength">Business type
						 must be at least 5 characters long.</div>
						<div
							[hidden]="!merchantBusinessTypeForm.controls.businessType.errors.maxlength">Business type
						 cannot be more than 100 characters long.</div>
						<div
							[hidden]="!merchantBusinessTypeForm.controls.businessType.errors.pattern">Invalid
							character</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row-md action-div">
			<button type="submit" (click)="previousState()"
				class="btn btn-default action-btn-with-text">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="submit" [disabled]="!merchantBusinessTypeForm.valid"
				class="btn action-btn-with-text edit">
				<span class="fa fa-save"></span>&nbsp;<span>Save</span>
			</button>
		</div>
	</div>

</form>


